%define upstream_name    Nmap-Parser
%define upstream_version 1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse nmap scan data with perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nmap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Storable)
BuildRequires: perl(XML::Twig)
BuildArch: noarch


%description
This module implements a interface to the information contained in an nmap
scan. It is implemented by parsing the xml scan data that is generated by
nmap. This will enable anyone who utilizes nmap to quickly create fast and
robust security scripts that utilize the powerful port scanning abilities
of nmap.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jan 20 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 26765
- mageia rebuild
- imported package perl-Nmap-Parser


* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 586115
- import perl-Nmap-Parser

